/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/




#include <cytypes.h> // uint8


/***************************************
*  Initialization Parameter Constants
***************************************/    

//#define WaveGen_NumSamples    12 // number of sample points per period (must be x12=3*4)
#define WaveGen_NumSamples    36 // number of sample points per period (must be x12: 12,24,36,48...)
#define WaveGen_Phase120      WaveGen_NumSamples/3
#define WaveGen_Phase240      WaveGen_Phase120 * 2 


/***************************************
*              Registers        
***************************************/    
    

   
uint8 WaveGen_Buffer[2*WaveGen_NumSamples]; // buffer size is double to keep 240 phase samples
//int8 WaveGen_Buffer[2*WaveGen_NumSamples]; // buffer size is double to keep 240 phase samples

/***************************************
*        Function Prototypes
***************************************/

void  WaveGen_Start();                 // start
void  WaveGen_Stop();                  // stop
void  WaveGen_DMAConfig(void);         // 
//void  WaveGen_CreateWave(uint8 ampl, uint8 phase); // set buffer values
void  WaveGen_CreateWave();            // update buffer values


/* [] END OF FILE */
